CYBERSECURITY RISK ALERT: WhatsApp Vulnerability

Yesterday, various governmental agencies and news outlets were made aware of a security vulnerability affecting the WhatsApp messaging platform. The vulnerability may have enabled malicious actor(s) to inject spyware on user devices which potentially exposed user information on mobile devices. WhatsApp has encouraged users to update the application immediately to avoid potential exposure and compromise of data.

To update WhatsApp on various platforms:

  • Android: Go to Play Store, then tap Menu  > My apps & games. Tap UPDATE next to WhatsApp Messenger.
    • Alternatively, go to Play Store and search for WhatsApp. Tap UPDATE under WhatsApp Messenger.
  • iPhone: Go to App Store, then tap Updates. Tap UPDATE next to WhatsApp Messenger.
    • Alternatively, go to App Store and search for WhatsApp. Tap UPDATE next to WhatsApp Messenger.
  • Windows Phone 8.1: Go to Store, then tap Menu  > my apps > WhatsApp > update.
    • Alternatively, go to Store and search for WhatsApp. Tap WhatsApp > update.
  • Windows Phone 10: Go to Microsoft Store, then tap Menu  > My Library. Tap Update next to WhatsApp.
    • Alternatively, go to Microsoft Store and search for WhatsApp. Tap WhatsApp > Update.
  • KaiOS: Press JioStore or Store on the apps menu. Scroll to the side to select Social, then select WhatsApp. Press OK or SELECT > UPDATE.

For additional information, please visit: https://www.facebook.com/security/advisories/cve-2019-3568

&   https://www.dataprotection.ie/en/news-media/press-releases/dpc-statement-whatsapp-security-incident